import { App } from '@kevisual/router';
import { HttpsPem } from '@/module/assistant/https/sign.ts';
// import { AssistantConfig } from '@/module/assistant/index.ts';
import { AssistantInit, parseHomeArg } from '@/services/init/index.ts';
import { configDir as HomeConfigDir } from '@/module/assistant/config/index.ts';

const manualParse = parseHomeArg(HomeConfigDir);
const _configDir = manualParse.configDir;
export const configDir = AssistantInit.detectConfigDir(_configDir);
export const assistantConfig = new AssistantInit({
  path: configDir,
  init: manualParse?.options?.help ? false : true,
});

const httpsPem = new HttpsPem(assistantConfig);
export const app = new App({
  serverOptions: {
    path: '/client/router',
    httpType: 'https',
    httpsCert: httpsPem.cert,
    httpsKey: httpsPem.key,
  },
});
