import { app } from '@/app.ts';
// import { getInstallList, installApp, uninstallApp } from '@/modules/install.ts';
const getInstallList = async () => {
  return [];
};
const installApp = async (pkg: string) => {
  return {
    code: 200,
    message: 'success',
    data: {
      pkg,
    },
  };
};
const uninstallApp = async (pkg: string) => {
  return {
    code: 200,
    message: 'success',
  };
};

app
  .route({
    path: 'shop',
    key: 'list-installed',
    middleware: ['auth'],
  })
  .define(async (ctx) => {
    // https://localhost:51015/client/router?path=shop&key=list-installed
    const list = await getInstallList();
    ctx.body = list;
  })
  .addTo(app);

app
  .route({
    path: 'shop',
    key: 'install',
    middleware: ['auth'],
  })
  .define(async (ctx) => {
    // https://localhost:51015/client/router?path=shop&key=install
    const { pkg } = ctx.query.data;
    const res = await installApp(pkg);
    if (res.code !== 200) {
      ctx.throw(res.code, res.message);
    }
    ctx.body = res;
  })
  .addTo(app);

app
  .route({
    path: 'shop',
    key: 'uninstall',
    middleware: ['auth'],
  })
  .define(async (ctx) => {
    // https://localhost:51015/client/router?path=shop&key=uninstall
    const { pkg } = ctx.query.data;
    const res = await uninstallApp(pkg);
    ctx.body = res;
  })
  .addTo(app);
