import { ProviderManager, SiliconFlowProvider, ModelScopeProvider } from '@kevisual/ai-center';

import { config } from 'dotenv';
config();
const providerTest = async () => {
  const providerConfig = { provider: 'ModelScope', model: 'Qwen/Qwen2.5-Coder-32B-Instruct', apiKey: process.env.MODEL_SCOPE_API_KEY };
  const provider = await ProviderManager.createProvider(providerConfig);
  const result = await provider.chat([{ role: 'user', content: '你好' }]);
  console.log(result);
};

providerTest();

const modelScopeTest = async () => {
  const provider = new ModelScopeProvider({
    apiKey: process.env.MODEL_SCOPE_API_KEY,
    model: 'Qwen/Qwen2.5-Coder-32B-Instruct',
  });
  const result = await provider.chat([{ role: 'user', content: '你好' }]);
  console.log(result);
};
// modelScopeTest();